Add capability to product

Add a capability (flow or agent binding) to a product. Requires either flowId or agentId.

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired

Request

This endpoint expects an object.
capabilityNamestringRequired1-100 characters
agentIdstringOptional
capabilityDescriptionstringOptional
enabledbooleanOptional
flowIdstringOptional
parametersSchemaanyOptional

Response

Capability added
agentIdstring or null
capabilityDescriptionstring or null
capabilityNamestring
createdAtstring
displayOrderinteger or null
enabledboolean
flowIdstring or null
idstring
productIdstring
parametersSchemaany

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error